Subject: bug#1305: Please disable the audible bell by default, to avoid discouraging newbies in crowded offices and elsewhere

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 6 Nov 2008 15:34:21 -0800 (PST)

"Jason Spiro" <[email-masked]> writes:

  > By default, Emacs makes an audible beep every time the user makes an
  > error.  It would be great if you could please change the default
  > either:
  > 
  > 1.  To not make any audible or visible bell when the user makes an
  > error.  (This would be best.)
  > 
  > 2.  Or to use a visible bell only.  (This would be an acceptable
  > alternative.  Plus, Emacs already knows how to show a visible bell.)
  > 
  > If you do not change the default, some Emacs newbies may decide not to
  > use Emacs, but to use other editors instead, perhaps non-Free ones.
  > Here are three reasons why they may decide that:
  > 
  > A.  Some users find that the beep is harsh and unpleasant to the ear.
  > 
  > B.  Most apps beep only when something very bad happens.  But Emacs
  > beeps even upon minor mistakes like scrolling past end of buffer, or
  > pressing an unassigned key.  It even beeps on non-mistakes like
  > pressing C-g.  The amount of beeping may make users uncomfortable.
  > 
  > C.  Some Emacs newbies try Emacs for the first time at the office.  At
  > the office, ten or more people may hear each beep.  The feeling of
  > having distracted coworkers may make users even more uncomfortable.

FWIW, I find the beep annoying and useless too.  I disable it in .emacs,
but every time I have to use emacs -Q to debug something it gets on my
nerves....